Class | Irc::NetmaskDb::Tree
In: | lib/rbot/maskdb.rb
Parent: | Object

helper backend class: generic nested radix tree

### Methods

add empty? find find_helper new remove

### Attributes

chi | [R] |
pre | [R] |

### Public Class methods

new(pre = '', chi = Hash.new)

### Public Instance methods

add(val, *prefs)
empty?()
find(*prefs)
remove(*prefs, &block)

### Protected Instance methods

find_helper(*prefs)

[Validate]